Reset movement
Resets all movement to stopped state. Equivalent to releasing all movement keys. The action is queued and executed on the next game tick.
Resets all movement to stopped state. Equivalent to releasing all movement keys. The action is queued and executed on the next game tick.
Preferred API authentication. Use a JWT with the api audience.
In: header
Path Parameters
The UUID of the SoulFire instance containing the bot.
uuidThe profile UUID of the bot to stop movement for.
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X POST "http://127.0.0.1:38765/v1/instances/p0/bots/p1/movement:reset"{
"success": true,
"error": "string"
}{
"code": 0,
"grpc-code": "string",
"message": "string",
"stack-trace": "string",
"details": [
{}
]
}{
"code": 0,
"grpc-code": "string",
"message": "string",
"stack-trace": "string",
"details": [
{}
]
}{
"code": 0,
"grpc-code": "string",
"message": "string",
"stack-trace": "string",
"details": [
{}
]
}How is this page?
Render bot POV GET
Renders the bot's point-of-view as a PNG image using software rendering. The bot must be online with a valid player and level. Uses the bot's current render distance setting.
Set container text POST
Sets text in a container's text input field. Currently only supports anvil item renaming (field_id: "item_name"). The action is queued and executed on the next game tick.